SpinePlaneBuilder Class

class NXOpen.GeometricUtilities.SpinePlaneBuilder

Bases: NXOpen.TaggedObject

Represents a NXOpen.GeometricUtilities.SpinePlaneBuilder.

To create a new instance of this class, use NXOpen.Part.CreateEmptySpinePlaneBuilder()

New in version NX11.0.0.

Properties

Property Description
Plane Returns or sets the plane
Tag Returns the Tag for this object.

Methods

Method Description
AlternateSolution Creates the longer arc between the current and previous plane.

Property Detail

Plane

SpinePlaneBuilder.Plane

Returns or sets the plane

-------------------------------------

Getter Method

Signature Plane

Returns:
Return type:NXOpen.Plane

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Plane

Parameters:plane (NXOpen.Plane) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

AlternateSolution

SpinePlaneBuilder.AlternateSolution

Creates the longer arc between the current and previous plane.

Shorter arc is constructed by default.

Signature AlternateSolution()

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)